Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Luna HSM APIs

Luna HSM Key APIs

search

Luna HSM Key APIs

This section describes how CCKM manages the Luna HSM keys.

Use the Luna HSM key APIs to:

  • Create Luna HSM keys based on different cryptographic algorithms

  • List, update, replicate, and delete Luna HSM keys on CCKM

  • View details of Luna HSM keys

  • Delete keys from Luna HSM

  • Refresh keys from Luna HSM partitions, view the status of key refresh from partitions, view the details of a key refresh process, and cancel a key refresh process

  • Synchronize Luna HSM keys from partitions in CCKM, view the status of key synchronizations, view the details of a synchronization process, and cancel a synchronization process

Creating Luna HSM Keys

Use the post /v1/cckm/hsm/luna/keys API to create a new key on Luna HSM. This API creates a either an RSA public-private key pair, or a single AES key in the specified partition.

Luna HSM key creation is an asynchronous operation. When the API is run, the status of the key is in_progress. Check the status of the key by calling the get /v1/cckm/hsm/luna/keys/{id} API. This API returns details of the Luna HSM key with the given id. When the key is created successfully, the key status becomes AVAILABLE.

Supported Mechanisms

  • CKM_RSA_FIPS_186_3_AUX_PRIME_KEY_PAIR_GEN

  • CKM_RSA_X9_31_KEY_PAIR_GEN

  • CKM_RSA_FIPS_186_3_PRIME_KEY_PAIR_GEN

  • CKM_RSA_PKCS_KEY_PAIR_GEN

  • CKM_AES_KEY_GEN

Supported Attributes

  • CKA_MODIFIABLE

  • CKA_EXTRACTABLE

  • CKA_SENSITIVE

  • CKA_ENCRYPT

  • CKA_DECRYPT

  • CKA_WRAP

  • CKA_UNWRAP

  • CKA_SIGN

  • CKA_VERIFY

  • CKA_DERIVE

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/keys' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "label": "<label>",\n  "size": <size>,\n  "partition_id": "<partition_id>",\n  "mechanism": "<mechanism>",\n  "attributes": [\n    "<attribute1>",\n    "<attribute2>",\n    "<attributeN>"\n  ]\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
partition_id string ID of the partition in which the key will be created.
size integer Size of the key. Allowed sizes for RSA keys are 2048, 3072, or 4096. Allowed sizes for AES keys are 128, 192, or 256.
attributes array of strings Attributes of the key. They are specified in the type and value pair. Refer to Supported Attributes for the types. To enable an attribute, set its value to true. Set to false to disable.
label string Label of the key.
mechanism string Mechanism of the key. Refer to Supported Mechanisms for details.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/keys' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' -H 'Content-Type: application/json' --data-binary $'{\n  "label": "hsm-key",\n  "size": 2048,\n  "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",\n  "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",\n  "attributes": [\n    "CKA_MODIFIABLE",\n    "CKA_SENSITIVE",\n    "CKA_EXTRACTABLE"\n  ]\n}' --compressed

Example Response


{
    "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T10:55:12.086341444Z",
    "updatedAt": "2020-12-14T10:55:12.083771327Z",
    "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
    "partition_label": "cckm-1607942872",
    "status": "in_progress",
    "operation": "keycreate",
    "operation_status": "",
    "algorithm": "",
    "object_type": "",
    "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
    "size": 2048,
    "label": "hsm-key",
    "replicated": false,
    "byok_key": true,
    "links": {
        "id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
        "uri": "kylo:kylo:cckm:luna-keys:ca74e45b-e3d0-4fde-af00-f841a7e586d0",
        "account": "kylo:kylo:admin:accounts:kylo",
        "application": "ncryptify:gemalto:admin:apps:kylo",
        "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
        "createdAt": "2020-12-14T10:55:12.090061079Z",
        "updatedAt": "2020-12-14T10:55:12.088861831Z",
        "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
        "partition_label": "cckm-1607942872",
        "status": "in_progress",
        "operation": "keycreate",
        "operation_status": "",
        "algorithm": "",
        "object_type": "",
        "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
        "size": 2048,
        "label": "hsm-key",
        "replicated": false,
        "byok_key": true,
        "modulus": "",
        "exponent": 0,
        "link_id": "",
        "ha_enabled": true
    },
    "modulus": "",
    "exponent": 0,
    "link_id": "",
    "ha_enabled": true
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Listing Luna HSM Keys

Use the get /v1/cckm/hsm/luna/keys API to view the list of Luna HSM keys.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/keys' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string ID of the key.
label string Label of the key.
algorithm string Algorithm of the key.
mechanism string Mechanism of the key. Refer to Supported Mechanisms for details.
size integer Size of the key.
byok_key boolean Whether the key is a BYOK key.
partition_id string ID of the partition.
partition_label string Label of the partition.
status string Status of the key. The status can be:
in_progress
AVAILABLE
DELETED
object_type string Type of the key - public key or private key.
origin string Origin of the key - cckm or external.
sha_256_fingerprint string SHA 256 fingerprint of the key.
modulus string Modulus of the key.
link_id string Linking ID of the public/private key.
replicated boolean Whether the key is a replica of another key.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/keys?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "skip": 0,
    "limit": 10,
    "total": 2,
    "resources": [
        {
            "id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
            "uri": "kylo:kylo:cckm:luna-keys:ca74e45b-e3d0-4fde-af00-f841a7e586d0",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2020-12-14T10:55:12.090061Z",
            "updatedAt": "2020-12-14T10:55:18.116559Z",
            "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
            "partition_label": "cckm-1607942872",
            "status": "AVAILABLE",
            "operation": "keycreate",
            "operation_status": "created",
            "algorithm": "rsa",
            "object_type": "public key",
            "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
            "size": 2048,
            "label": "hsm-key",
            "attributes": [
                "CKA_PRIVATE",
                "CKA_TOKEN",
                "CKA_MODIFIABLE"
            ],
            "object_uid": "b93a00001f000001155f0900",
            "sha_256_fingerprint": "a254fe4e887aba944a89f4122c289aa0c932f84c643147e95ea7608d25c1990e",
            "replication_info": {
                "1429964054507": "available",
                "1429964054508": "available",
                "1429964054509": "available",
                "1429964054510": "available"
            },
            "replicated": true,
            "byok_key": true,
            "origin": "cckm",
            "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
            "exponent": 65537,
            "link_id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
            "ha_enabled": true
        },
        {
            "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
            "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2020-12-14T10:55:12.086341Z",
            "updatedAt": "2020-12-14T10:55:18.096485Z",
            "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
            "partition_label": "cckm-1607942872",
            "status": "AVAILABLE",
            "operation": "keycreate",
            "operation_status": "created",
            "algorithm": "rsa",
            "object_type": "private key",
            "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
            "size": 2048,
            "label": "hsm-key",
            "attributes": [
                "CKA_PRIVATE",
                "CKA_TOKEN",
                "CKA_MODIFIABLE",
                "CKA_SENSITIVE",
                "CKA_EXTRACTABLE"
            ],
            "object_uid": "b83a00001f000001155f0900",
            "sha_256_fingerprint": "23c5d6bd56432c1ff151a742f1e67bb301a7264e9fc685eebe3063fca6655121",
            "replication_info": {
                "1429964054507": "available",
                "1429964054508": "available",
                "1429964054509": "available",
                "1429964054510": "available"
            },
            "replicated": true,
            "byok_key": true,
            "origin": "cckm",
            "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
            "exponent": 65537,
            "link_id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
            "ha_enabled": true
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Viewing Details of Luna HSM Keys

Use the get /v1/cckm/hsm/luna/keys/{id} API to view the details of a Luna HSM key.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/keys/{id}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the key.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/keys/a79f373b-4f94-4bf0-8768-5b809cb43c46' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T10:55:12.086341Z",
    "updatedAt": "2020-12-14T10:55:18.096485Z",
    "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
    "partition_label": "cckm-1607942872",
    "status": "AVAILABLE",
    "operation": "keycreate",
    "operation_status": "created",
    "algorithm": "rsa",
    "object_type": "private key",
    "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
    "size": 2048,
    "label": "hsm-key",
    "attributes": [
        "CKA_PRIVATE",
        "CKA_TOKEN",
        "CKA_MODIFIABLE",
        "CKA_SENSITIVE",
        "CKA_EXTRACTABLE"
    ],
    "object_uid": "b83a00001f000001155f0900",
    "sha_256_fingerprint": "23c5d6bd56432c1ff151a742f1e67bb301a7264e9fc685eebe3063fca6655121",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "available",
        "1429964054509": "available",
        "1429964054510": "available"
    },
    "replicated": true,
    "byok_key": true,
    "origin": "cckm",
    "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
    "exponent": 65537,
    "link_id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
    "ha_enabled": true
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Updating Luna HSM Keys

Use the patch /v1/cckm/hsm/luna/keys/{id} API to update the Luna HSM key.

Luna HSM key update is an asynchronous operation. When you run the patch /v1/cckm/hsm/luna/keys/{id} API, the operation_status of the key becomes in_progress. The key might take some time to update. To check the key status, run the get /v1/cckm/hsm/luna/keys/{id} API. The API returns details of the key with its status. When the keyupdate operation is complete, operation_status of the key becomes completed.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/keys/{id}' -X PATCH -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "attributes": [\n    {\n      "type": "<type>",\n      "value": <true|false>\n    }\n  ]\n}' --compressed

Here, {id} represents the ID of the key.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
attributes array of JSONs Attributes of the key. Refer to Attributes for details.

Attributes

Parameter Type Description
type string Type of the key. Refer to Supported Attributes for the list of types.
value boolean Value of the key. Set to true to use the attribute.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/keys/a79f373b-4f94-4bf0-8768-5b809cb43c46' -X PATCH -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' -H 'Content-Type: application/json' --data-binary $'{\n  "attributes": [\n    {\n      "type": "CKA_SIGN",\n      "value": true\n    }\n  ]\n}' --compressed

Example Response


{
    "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T10:55:12.086341Z",
    "updatedAt": "2020-12-14T10:57:47.144391701Z",
    "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
    "partition_label": "cckm-1607942872",
    "status": "AVAILABLE",
    "operation": "keyupdate",
    "operation_status": "in_progress",
    "algorithm": "rsa",
    "object_type": "private key",
    "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
    "size": 2048,
    "label": "hsm-key",
    "attributes": [
        "CKA_PRIVATE",
        "CKA_TOKEN",
        "CKA_MODIFIABLE",
        "CKA_SENSITIVE",
        "CKA_EXTRACTABLE"
    ],
    "object_uid": "b83a00001f000001155f0900",
    "sha_256_fingerprint": "23c5d6bd56432c1ff151a742f1e67bb301a7264e9fc685eebe3063fca6655121",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "available",
        "1429964054509": "available",
        "1429964054510": "available"
    },
    "replicated": true,
    "byok_key": true,
    "origin": "cckm",
    "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
    "exponent": 65537,
    "link_id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
    "ha_enabled": true
}

To verify the updates, run the get /v1/cckm/hsm/luna/keys/{id} API.


{
    "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T10:55:12.086341Z",
    "updatedAt": "2020-12-14T10:57:51.16505Z",
    "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
    "partition_label": "cckm-1607942872",
    "status": "AVAILABLE",
    "operation": "keyupdate",
    "operation_status": "completed",
    "algorithm": "rsa",
    "object_type": "private key",
    "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
    "size": 2048,
    "label": "hsm-key",
    "attributes": [
        "CKA_PRIVATE",
        "CKA_TOKEN",
        "CKA_MODIFIABLE",
        "CKA_SENSITIVE",
        "CKA_EXTRACTABLE",
        "CKA_SIGN"
    ],
    "object_uid": "be3a00001f000001155f0900",
    "sha_256_fingerprint": "02c5c1ba1921864e5c1c58c545c827d346e3961f70ee37f152e1aacc1d371e4f",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "available",
        "1429964054509": "available",
        "1429964054510": "available"
    },
    "replicated": true,
    "byok_key": true,
    "origin": "cckm",
    "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
    "exponent": 65537,
    "link_id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
    "ha_enabled": true
}

The output shows the status of "operation": "keyupdate" is "operation_status": "completed".

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Replicating Luna HSM Keys

Use the post /v1/cckm/hsm/luna/keys/{id}/replicate to replicate a Luna HSM key.

Luna HSM key replicate is an asynchronous operation. When you run the post /v1/cckm/hsm/luna/keys/{id}/replicate API, the operation_status of the key becomes in_progress. The key might take some time to replicate. To check the key status, run the get /v1/cckm/hsm/luna/keys/{id} API. The API returns details of the key with its status. When the keyreplicate operation is complete, operation_status of the key becomes completed.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/keys/{id}/replicate' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the key.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/keys/8c9656e3-f1cd-4dfc-a013-269a5b0228ef/replicate' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "8c9656e3-f1cd-4dfc-a013-269a5b0228ef",
    "uri": "kylo:kylo:cckm:luna-keys:8c9656e3-f1cd-4dfc-a013-269a5b0228ef",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-15T06:20:15.699004Z",
    "updatedAt": "2020-12-15T06:25:57.338588051Z",
    "partition_id": "ed5b1bbd-ce0b-48c1-ab69-a4592e5b2da2",
    "partition_label": "cckm-1608012946",
    "status": "AVAILABLE",
    "operation": "keyreplicate",
    "operation_status": "in_progress",
    "algorithm": "rsa",
    "object_type": "public key",
    "mechanism": "CKM_RSA_PKCS_KEY_PAIR_GEN",
    "size": 2048,
    "label": "luna-key",
    "attributes": [
        "CKA_TOKEN",
        "CKA_PRIVATE",
        "CKA_MODIFIABLE",
        "CKA_ENCRYPT",
        "CKA_WRAP",
        "CKA_VERIFY",
        "CKA_DERIVE"
    ],
    "object_uid": "dc3a00001f000001155f0900",
    "sha_256_fingerprint": "29cf101ff9c927cc2efedc59465256a0f4b0230cfc1014fac5c1249cdcd305d6",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "Error finding key"
    },
    "replicated": false,
    "byok_key": false,
    "links": {
        "id": "96ae21a3-9d0e-465b-98fb-6d428b7180d0",
        "uri": "kylo:kylo:cckm:luna-keys:96ae21a3-9d0e-465b-98fb-6d428b7180d0",
        "account": "kylo:kylo:admin:accounts:kylo",
        "application": "ncryptify:gemalto:admin:apps:kylo",
        "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
        "createdAt": "2020-12-15T06:20:15.158024Z",
        "updatedAt": "2020-12-15T06:25:57.352607788Z",
        "partition_id": "ed5b1bbd-ce0b-48c1-ab69-a4592e5b2da2",
        "partition_label": "cckm-1608012946",
        "status": "AVAILABLE",
        "operation": "keyreplicate",
        "operation_status": "in_progress",
        "algorithm": "rsa",
        "object_type": "private key",
        "mechanism": "CKM_RSA_PKCS_KEY_PAIR_GEN",
        "size": 2048,
        "label": "luna-key",
        "attributes": [
            "CKA_TOKEN",
            "CKA_PRIVATE",
            "CKA_MODIFIABLE",
            "CKA_SENSITIVE",
            "CKA_DECRYPT",
            "CKA_UNWRAP",
            "CKA_SIGN",
            "CKA_DERIVE",
            "CKA_EXTRACTABLE"
        ],
        "object_uid": "dd3a00001f000001155f0900",
        "sha_256_fingerprint": "c89c7e4e57edc97f7cebb261dd72e93494fb6264cdb98331f1014623693412c6",
        "replication_info": {
            "1429964054507": "available",
            "1429964054508": "Error finding key"
        },
        "replicated": false,
        "byok_key": true,
        "origin": "unknown",
        "modulus": "b63983de7ba83cb14ce66f80c2b6d8bfbcf071b692345820820eee544caa9203f2bbdd5e3f96d8c114d36105e40f38fec36689473fe1444b609b6b63f1f5e005ecb8d48e4d37eed9a7d324645728721aa5f04ed5f533d5c74cfd3c8949e62d36bc4c9bb835dbbab80e2397bf108b7ae973c3a3a0dd544ed53107acf5f2ae9b2d062edbaeef68ad71686dd0538e3751217dacf0feec8c0d7f27a2d0202c6f0904d57e6cf42b6c8b391ebf5c99cb1e201fbd8370bd1053de91d8a7cc3db9786e0d3b805b7d099f10cca9d5ce900c183ef69d5f537f8bcf8b341b8cfd3a2c5e49937b36df76108c47722be555acf4e03ce29b45ed519acc3882468c40419755dc05",
        "exponent": 65537,
        "link_id": "8c9656e3-f1cd-4dfc-a013-269a5b0228ef",
        "ha_enabled": true
    },
    "origin": "unknown",
    "modulus": "b63983de7ba83cb14ce66f80c2b6d8bfbcf071b692345820820eee544caa9203f2bbdd5e3f96d8c114d36105e40f38fec36689473fe1444b609b6b63f1f5e005ecb8d48e4d37eed9a7d324645728721aa5f04ed5f533d5c74cfd3c8949e62d36bc4c9bb835dbbab80e2397bf108b7ae973c3a3a0dd544ed53107acf5f2ae9b2d062edbaeef68ad71686dd0538e3751217dacf0feec8c0d7f27a2d0202c6f0904d57e6cf42b6c8b391ebf5c99cb1e201fbd8370bd1053de91d8a7cc3db9786e0d3b805b7d099f10cca9d5ce900c183ef69d5f537f8bcf8b341b8cfd3a2c5e49937b36df76108c47722be555acf4e03ce29b45ed519acc3882468c40419755dc05",
    "exponent": 65537,
    "link_id": "96ae21a3-9d0e-465b-98fb-6d428b7180d0",
    "ha_enabled": true
}

To verify the replication, run the get /v1/cckm/hsm/luna/keys/{id} API.


{
    "id": "8c9656e3-f1cd-4dfc-a013-269a5b0228ef",
    "uri": "kylo:kylo:cckm:luna-keys:8c9656e3-f1cd-4dfc-a013-269a5b0228ef",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-15T06:20:15.699004Z",
    "updatedAt": "2020-12-15T06:26:01.350336Z",
    "partition_id": "ed5b1bbd-ce0b-48c1-ab69-a4592e5b2da2",
    "partition_label": "cckm-1608012946",
    "status": "AVAILABLE",
    "operation": "keyreplicate",
    "operation_status": "completed",
    "algorithm": "rsa",
    "object_type": "public key",
    "mechanism": "CKM_RSA_PKCS_KEY_PAIR_GEN",
    "size": 2048,
    "label": "luna-key",
    "attributes": [
        "CKA_TOKEN",
        "CKA_PRIVATE",
        "CKA_MODIFIABLE",
        "CKA_ENCRYPT",
        "CKA_WRAP",
        "CKA_VERIFY",
        "CKA_DERIVE"
    ],
    "object_uid": "dc3a00001f000001155f0900",
    "sha_256_fingerprint": "29cf101ff9c927cc2efedc59465256a0f4b0230cfc1014fac5c1249cdcd305d6",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "available"
    },
    "replicated": true,
    "byok_key": false,
    "origin": "unknown",
    "modulus": "b63983de7ba83cb14ce66f80c2b6d8bfbcf071b692345820820eee544caa9203f2bbdd5e3f96d8c114d36105e40f38fec36689473fe1444b609b6b63f1f5e005ecb8d48e4d37eed9a7d324645728721aa5f04ed5f533d5c74cfd3c8949e62d36bc4c9bb835dbbab80e2397bf108b7ae973c3a3a0dd544ed53107acf5f2ae9b2d062edbaeef68ad71686dd0538e3751217dacf0feec8c0d7f27a2d0202c6f0904d57e6cf42b6c8b391ebf5c99cb1e201fbd8370bd1053de91d8a7cc3db9786e0d3b805b7d099f10cca9d5ce900c183ef69d5f537f8bcf8b341b8cfd3a2c5e49937b36df76108c47722be555acf4e03ce29b45ed519acc3882468c40419755dc05",
    "exponent": 65537,
    "link_id": "96ae21a3-9d0e-465b-98fb-6d428b7180d0",
    "ha_enabled": true
}

The output shows the status of "operation": "keyreplicate" is "operation_status": "completed".

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Deleting Luna HSM Keys from CCKM

Use the delete /v1/cckm/hsm/luna/keys/{id} API to delete the key from CCKM.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/keys/{id}' -X DELETE -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the key.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/keys/a79f373b-4f94-4bf0-8768-5b809cb43c46' -X DELETE -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
"status": 204
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Deleting Keys from Luna HSM

Use the post /v1/cckm/hsm/luna/{id}/delete API to delete a key from Luna HSM.

Luna HSM key deletion is an asynchronous operation. When you run the post /v1/cckm/hsm/luna/{id}/delete API, the operation_status of the key becomes in_progress. The key might take some time to delete. To check the key status, run the get /v1/cckm/hsm/luna/keys/{id} API. The API returns details of the key with its status. When the keydelete operation is complete, the key status becomes DELETED.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/{id}/delete' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the key.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/a79f373b-4f94-4bf0-8768-5b809cb43c46/delete' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T10:55:12.086341Z",
    "updatedAt": "2020-12-14T11:03:31.571454784Z",
    "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
    "partition_label": "cckm-1607942872",
    "status": "AVAILABLE",
    "operation": "keydelete",
    "operation_status": "in_progress",
    "algorithm": "rsa",
    "object_type": "private key",
    "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
    "size": 2048,
    "label": "hsm-key",
    "attributes": [
        "CKA_PRIVATE",
        "CKA_TOKEN",
        "CKA_MODIFIABLE",
        "CKA_SENSITIVE",
        "CKA_EXTRACTABLE",
        "CKA_SIGN"
    ],
    "object_uid": "be3a00001f000001155f0900",
    "sha_256_fingerprint": "02c5c1ba1921864e5c1c58c545c827d346e3961f70ee37f152e1aacc1d371e4f",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "available",
        "1429964054509": "available",
        "1429964054510": "available"
    },
    "replicated": true,
    "byok_key": true,
    "origin": "cckm",
    "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
    "exponent": 65537,
    "link_id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
    "ha_enabled": true
}

To verify the key deletion, run the get /v1/cckm/hsm/luna/keys/{id} API.


{
    "id": "a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "uri": "kylo:kylo:cckm:luna-keys:a79f373b-4f94-4bf0-8768-5b809cb43c46",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T10:55:12.086341Z",
    "updatedAt": "2020-12-14T11:03:35.591983Z",
    "partition_id": "fe192148-82eb-403f-96b2-125bf28d3824",
    "partition_label": "cckm-1607942872",
    "status": "DELETED",
    "operation": "keydelete",
    "operation_status": "completed",
    "algorithm": "rsa",
    "object_type": "private key",
    "mechanism": "CKM_RSA_X9_31_KEY_PAIR_GEN",
    "size": 2048,
    "label": "hsm-key",
    "attributes": [
        "CKA_PRIVATE",
        "CKA_TOKEN",
        "CKA_MODIFIABLE",
        "CKA_SENSITIVE",
        "CKA_EXTRACTABLE",
        "CKA_SIGN"
    ],
    "object_uid": "be3a00001f000001155f0900",
    "sha_256_fingerprint": "02c5c1ba1921864e5c1c58c545c827d346e3961f70ee37f152e1aacc1d371e4f",
    "replication_info": {
        "1429964054507": "available",
        "1429964054508": "available",
        "1429964054509": "available",
        "1429964054510": "available"
    },
    "replicated": true,
    "byok_key": true,
    "origin": "cckm",
    "modulus": "a3ce9ac0eb6ccdb3634997a217d998fbfc3fbc696458ae408929ae7e9dda185d8a6e62e25ecf4f6e156525b803f5e871fc1ba551d3836d4c9243b926467821ddca8ceee408853532d89beb5f879c7bca4b54b58a68e3b13cd225f8ed40435637d181cf3dc19266212047ab6dd11fdd54446ad044417aaf1f025d515a7defff8df5f9839ccf1289fced7c41009afe6a888d579114ff8f04d5e530dea557aa4ed0df58bcf5df6b9ca62a1e707522a169a713633082d24367d17fc567cbefbe0fe84e270dad42bcca6e5c4c74ae2ca008c7d5219db94e89d30ba6ebd34447983917fec2eba26dc65c16d8d8d3697503bb151655343fd1a68055dc716ace46a540e7",
    "exponent": 65537,
    "link_id": "ca74e45b-e3d0-4fde-af00-f841a7e586d0",
    "ha_enabled": true
}

The output shows the key status, "status": "DELETED".

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Refreshing Keys from Partitions

Use the post /v1/cckm/hsm/luna/refresh API to refresh Luna HSM partition keys on CCKM. Refresh keys of a particular partition or of all partitions.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/refresh' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": <true|false>\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
partitions array of strings IDs of partitions from which the keys will be refreshed.
synchronize_all boolean Whether to refresh all keys from all partitions. Set to true to refresh all keys from all partitions. Set to false to refresh keys from the specified partitions.

partitions and synchronize_all are mutually exclusive - specify either.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/refresh' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": true\n}' --compressed

Example Response


{
    "id": "8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
    "uri": "kylo:kylo:cckm:synchronize:8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T11:00:22.540490199Z",
    "updatedAt": "2020-12-14T11:00:22.542855221Z",
    "overall_status": "in_progress",
    "cloud": "hsm-luna",
    "partitions": [
        "fe192148-82eb-403f-96b2-125bf28d3824"
    ],
    "abort": false,
    "job_type": "refresh"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Viewing Status of Key Refresh from Partitions

Use the get /v1/cckm/hsm/luna/refresh API to view the status of key refresh processes.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/refresh' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string ID of the refresh process.
overall_status string Overall status of the refresh process. The status can be:
in_progress
completed
failed
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/refresh?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
            "uri": "kylo:kylo:cckm:synchronize:8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2020-12-14T11:00:22.54049Z",
            "updatedAt": "2020-12-14T11:00:22.545909Z",
            "overall_status": "in_progress",
            "detailed_status": {
                "fe192148-82eb-403f-96b2-125bf28d3824": "in_progress"
            },
            "cloud": "hsm-luna",
            "partitions": [
                "fe192148-82eb-403f-96b2-125bf28d3824"
            ],
            "abort": false,
            "job_type": "refresh"
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Viewing Details of a Key Refresh Process

Use the get /v1/cckm/hsm/luna/refresh/{id} API to view the details of a key refresh process.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/refresh/{id}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the refresh process.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/refresh/8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
    "uri": "kylo:kylo:cckm:synchronize:8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T11:00:22.54049Z",
    "updatedAt": "2020-12-14T11:00:22.545909Z",
    "overall_status": "in_progress",
    "detailed_status": {
        "fe192148-82eb-403f-96b2-125bf28d3824": "in_progress"
    },
    "cloud": "hsm-luna",
    "partitions": [
        "fe192148-82eb-403f-96b2-125bf28d3824"
    ],
    "abort": false,
    "job_type": "refresh"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Canceling a Key Refresh Process

Use the post /v1/cckm/hsm/luna/refresh/{id}/cancel API to cancel a key refresh process.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/refresh/{id}/cancel' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the refresh process.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/refresh/8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0/cancel' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
    "uri": "kylo:kylo:cckm:synchronize:8a6698a7-0c6d-4fa5-95c7-1bc99dfe01a0",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T11:00:22.54049Z",
    "updatedAt": "2020-12-14T11:00:22.545909Z",
    "overall_status": "in_progress",
    "detailed_status": {
        "fe192148-82eb-403f-96b2-125bf28d3824": "in_progress"
    },
    "cloud": "hsm-luna",
    "partitions": [
        "fe192148-82eb-403f-96b2-125bf28d3824"
    ],
    "abort": true,
    "job_type": "refresh"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Synchronizing Luna HSM Keys

Use the post /v1/cckm/hsm/luna/synchronize API to synchronize keys of Luna HSM partitions on CCKM. Synchronize keys on a particular partition or on all partitions.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/synchronize' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": <true|false>\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
partitions array of strings IDs of partitions where the keys will be synchronized.
synchronize_all boolean Whether to synchronize all keys on all partitions. Set to true to synchronize all keys on all partitions. Set to false to synchronize keys on the specified partitions.

partitions and synchronize_all are mutually exclusive - specify either.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/synchronize' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": true\n}' --compressed

Example Response


{
    "id": "693244c9-44c1-4da1-b287-75c17c39b0e1",
    "uri": "kylo:kylo:cckm:synchronize:693244c9-44c1-4da1-b287-75c17c39b0e1",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T11:10:07.767897742Z",
    "updatedAt": "2020-12-14T11:10:07.770241078Z",
    "overall_status": "in_progress",
    "cloud": "hsm-luna",
    "partitions": [
        "fe192148-82eb-403f-96b2-125bf28d3824"
    ],
    "abort": false,
    "job_type": "ha_synchronize"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Viewing Status of Key Synchronizations

Use the get /v1/cckm/hsm/luna/synchronize API to view the updated status of key synchronization processes.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/synchronize' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string ID of the synchronization process.
overall_status string Overall status of the synchronization process. The status can be:
in_progress
completed
failed
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/synchronize?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "693244c9-44c1-4da1-b287-75c17c39b0e1",
            "uri": "kylo:kylo:cckm:synchronize:693244c9-44c1-4da1-b287-75c17c39b0e1",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2020-12-14T11:10:07.767898Z",
            "updatedAt": "2020-12-14T11:10:07.78261Z",
            "completed_at": "2020-12-14T11:10:07.782463Z",
            "overall_status": "completed",
            "cloud": "hsm-luna",
            "partitions": [
                "fe192148-82eb-403f-96b2-125bf28d3824"
            ],
            "abort": false,
            "job_type": "ha_synchronize"
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Viewing Details of a Synchronization Process

Use the get /v1/cckm/hsm/luna/synchronize/{id} API to view details of a key synchronization process.

Syntax


curl -k '<IP>/api/v1/cckm/hsm/luna/synchronize/{id}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the synchronization process.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/synchronize/693244c9-44c1-4da1-b287-75c17c39b0e1' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "693244c9-44c1-4da1-b287-75c17c39b0e1",
    "uri": "kylo:kylo:cckm:synchronize:693244c9-44c1-4da1-b287-75c17c39b0e1",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-14T11:10:07.767898Z",
    "updatedAt": "2020-12-14T11:10:07.78261Z",
    "completed_at": "2020-12-14T11:10:07.782463Z",
    "overall_status": "completed",
    "cloud": "hsm-luna",
    "partitions": [
        "fe192148-82eb-403f-96b2-125bf28d3824"
    ],
    "abort": false,
    "job_type": "ha_synchronize"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.

Canceling a Synchronization Process

Use the post /v1/cckm/hsm/luna/synchronize/{id}/cancel API to cancel a key synchronization process.

Syntax

curl -k '<IP>/api/v1/cckm/hsm/luna/synchronize/{id}/cancel' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the synchronization process.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request


curl -k 'https://127.0.0.1/api/v1/cckm/hsm/luna/synchronize/c7c10de7-c3ac-4060-b0ae-588c3d74a24a/cancel' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxZDQyNWE3Ny1jZjU3LTQwNDItYWRhOC04NWE2MTBjZjcyYWIiLCJzdWIiOiJsb2NhbHxmM2ExYTQ5MS0yMzIzLTQ5MTQtODZhYS03ODM4MjRlZGMyZGYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMzE2YTI1ODItODdmNi00M2ZhLTk2YzYtY2YwOGExNDQwMjY5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImM5Nzk4MDlhLTMxMWYtNDFhZS1hNzQ1LWIyNGUzOTNlYzIyMiIsImlhdCI6MTYwNzk0MzIzMSwiZXhwIjoxNjA3OTQzNTMxfQ.s4cXZzKrNFrc8frI-ceq7ok4gJKMnMU3Lj1IXTd7AEM' --compressed

Example Response


{
    "id": "c7c10de7-c3ac-4060-b0ae-588c3d74a24a",
    "uri": "kylo:kylo:cckm:synchronize:c7c10de7-c3ac-4060-b0ae-588c3d74a24a",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2020-12-15T06:26:56.534602Z",
    "updatedAt": "2020-12-15T06:26:56.537Z",
    "overall_status": "in_progress",
    "cloud": "hsm-luna",
    "partitions": [
        "ed5b1bbd-ce0b-48c1-ab69-a4592e5b2da2"
    ],
    "abort": true,
    "job_type": "ha_synchronize"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.